Bug 61346 - System Clock Double Time
System Clock Double Time
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-18 04:34 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-18 04:34:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
For every one second of actual time the system counts two seconds.
Tested by using the date command counting 10 seconds using other clocks and 
using date again. Time has moved on by an average of 8-10 seconds

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.type date
2.count 10 seconds
3.type date
	

Actual Results:  time has moved on 20 seconds

Expected Results:  time to have moved on 10 seconds

Additional info:

The computer is using the SMB Redhat Kernel 2.4.9-21smp

System Information:
  CPU Information:
        Number of CPUs: 2
        Processor #0 Information:
                Vendor: GenuineIntel
                Model:  Pentium II (Deschutes)
                Speed:  451.028 MHz
                Cache:  512 KB
                CPU Usage By Priority Modes:
                        User Mode:       287106 Seconds ( 79:45:06)
                        Nice Mode:           32 Seconds (  0:00:32)
                        System Mode:     243670 Seconds ( 67:41:10)
                        Idle Mode:      1696733 Seconds (471:18:53)
        Processor #1 Information:              Vendor: GenuineIntel
                Model:  Pentium II (Deschutes)
                Speed:  451.028 MHz
                Cache:  512 KB
                CPU Usage By Priority Modes:
                        User Mode:       226931 Seconds ( 63:02:11)
                        Nice Mode:           36 Seconds (  0:00:36)
                        System Mode:     192803 Seconds ( 53:33:23)
                        Idle Mode:      1807772 Seconds (502:09:32)
        Total CPU Usage By Priority Modes:
                User Mode:       514037 Seconds (142:47:17)
                Nice Mode:           69 Seconds (  0:01:09)
                System Mode:     436473 Seconds (121:14:33)
                Idle Mode:      3504505 Seconds (973:28:25)
  Load Averages (previous one, five, and fifteen minutes):
        One: 1.00       Five: 1.00      Fifteen: 1.00
  Boot Time:
        Wed Feb 20 14:34:30 2002
  Uptime:
        25 Days  18 Hours  45 Minutes  43 Seconds (2227543.01 Seconds)
  Number of Context Switches System Underwent:
        127524521

Hardware Information:
  Character Devices:
        Num     Device
          1     mem
          2     pty
          3     ttyp
          4     ttyS
          5     cua
          7     vcs
          9     st
         10     misc
         29     fb
         30     socksys
         36     netlink
        128     ptm
        129     ptm
        130     ptm
        131     ptm
        132     ptm
        133     ptm
        134     ptm
        135     ptm
        136     pts

     137     pts
        138     pts
        139     pts
        140     pts
        141     pts
        142     pts
        143     pts
        162     raw
       180     usb
        254     xprAA
  Block Devices:
        Num     Device
          1     ramdisk
          2     fd
          8     sd
          9     md
         11     sr
         65     sd
         66     sd
  Miscellaneous Devices:
        Num     Device
        135     rtc
          1     psaux

Registered ISA DMA (Direct Memory Access) Channels:
        Num     Device
          4     cascade
  IRQ Interrupts:
        INT          CPU0          CPU1       Controller  Name
          0     112046605     110707696     IO-APIC-edge  timer
          1         42067         42540     IO-APIC-edge  keyboard
          2             0             0           XT-PIC  cascade
          8          9810          9481     IO-APIC-edge  rtc
         12         17646         18183     IO-APIC-edge  PS/2
         19       2135602       2177881    IO-APIC-level  usb-uhci,
         22       8138355       8011361    IO-APIC-level  aic7xxx
         22     111381126     111381124    IO-APIC-level  aic7xxx
         22             0             0    IO-APIC-level  aic7xxx
  IO (Input-Output) Ports:
         Address    Name
        0000-001f : dma1
        0020-003f : pic1
        0040-005f : timer
        0060-006f : keyboard
        0070-007f : rtc
        0080-008f : dma page reg
        00a0-00bf : pic2
      00c0-00df : dma2
        00f0-00ff : fpu
        02f8-02ff : serial(auto)
        03c0-03df : vga+
        03f8-03ff : serial(auto)
        0800-081f : Intel Corporation 82371AB PIIX4 ACPI
        0cf8-0cff : PCI conf1
        9000-9fff : PCI Bus #01
          9400-94ff : Adaptec AIC-7880U
            9400-94fe : aic7xxx
        a800-a8ff : ATI Technologies Inc 264VT [Mach64 VT]
        ac00-ac1f : Intel Corporation 82557 [Ethernet Pro 100]
          ac00-ac1f : eepro100
        ac40-ac5f : Intel Corporation 82371AB PIIX4 USB
          ac40-ac5f : usb-uhci
        ac70-ac7f : Intel Corporation 82371AB PIIX4 IDE
          ac70-ac77 : ide0
        f000-f03f : Intel Corporation 82371AB PIIX4 ACPI
  TTY Drivers:
        dgrp(dgrp)
                Name:   /dev/xprAA
                Major:  254
                Range:  192-255
             Type:   serial
        dgrp(dgrp)
                Name:   /dev/cuAA
                Major:  254
                Range:  64-127
                Type:   serial:callout
        dgrp(dgrp)
                Name:   /dev/ttyAA
                Major:  254
                Range:  0-63
                Type:   serial
        serial
                Name:   /dev/cua
                Major:  5
                Range:  64-127
                Type:   serial:callout
        serial
                Name:   /dev/ttyS
                Major:  4
                Range:  64-127
                Type:   serial
        pty_slave
                Name:   /dev/pts
             Major:  143
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/ptm
               Major:  135
                Range:  0-255
                Type:   pty:master
        pty_slave
                Name:   /dev/pts
                Major:  142
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/ptm
                Major:  134
                Range:  0-255
                Type:   pty:master
        pty_slave
                Name:   /dev/pts
                Major:  141
                Range:  0-255
                Type:   pty:slave
     pty_master
                Name:   /dev/ptm
                Major:  133
                Range:  0-255
                Type:   pty:master
        pty_slave
                Name:   /dev/pts
                Major:  140
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/ptm
                Major:  132
                Range:  0-255
                Type:   pty:master
        pty_slave
                Name:   /dev/pts
                Major:  139
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/ptm
                Major:  131
            Range:  0-255
                Type:   pty:master
        pty_slave
                Name:   /dev/pts
                Major:  138
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/ptm
                Major:  130
                Range:  0-255
                Type:   pty:master
        pty_slave
                Name:   /dev/pts
                Major:  137
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/ptm
                Major:  129
                Range:  0-255
                Type:   pty:master
        pty_slave
          Name:   /dev/pts
                Major:  136
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/ptm
                Major:  128
                Range:  0-255
                Type:   pty:master
        pty_slave
                Name:   /dev/ttyp
                Major:  3
                Range:  0-255
                Type:   pty:slave
        pty_master
                Name:   /dev/pty
                Major:  2
                Range:  0-255
                Type:   pty:master
        /dev/vc/0
                Name:   /dev/vc/0
                Major:  4
                Range:  0
           Type:   system:vtmaster
        /dev/ptmx
                Name:   /dev/ptmx
                Major:  5
                Range:  2
                Type:   system
        /dev/console
                Name:   /dev/console
                Major:  5
                Range:  1
                Type:   system:console
        /dev/tty
                Name:   /dev/tty
                Major:  5
                Range:  0
                Type:   system:/dev/tty
   unknown
                Name:   /dev/vc/%d
                Major:  4
                Range:  1-63
                Type:   console
  TTY ldiscs:
        n_tty                0
 IDE Drivers:
        ide-floppy           (Version:  0.98)
        ide-disk             (Version:  1.11)
  SCSI Drivers:
        aic7xxx
                Adaptec AIC7xxx driver version: 5.2.4/5.2.0
  SCSI Devices:
        IBM DDRS-39130W  (0,0,0)
                Hardware Revision:      S97B
                Hardware Type:          Direct-Access
                Host Name:              scsi0
                ANSI SCSI Revision:     02
        HP C1537A  (0,3,0)
                Hardware Revision:      L708
                Hardware Type:          Sequential-Access
                Host Name:              scsi0
                ANSI SCSI Revision:     02
        NEC CD-ROM DRIVE:465  (0,6,0)
                Hardware Revision:      1.03
                Hardware Type:          CD-ROM
                Host Name:              scsi0
                ANSI SCSI Revision:     02
Memory Information:
    Total Memory:    512448 kb
    Free Memory:       5316 kb
    Shared Memory:      824 kb
    Buffers:         102372 kb
    Cached Memory:   230608 kb
    Total Swap:      546200 kb
    Free Swap:       546196 kb
  MTRR (Memory Type Range Register) Configuration:
        Register 0:             (Size=512MB)
                Offset:         0x00000000  (0MB)
                Options:        write-back
                Count:          1

Kernel Information:
  Operating System:
        Linux 2.4.9-21smp
  Kernel Revision:
        #1 SMP Thu Jan 17 14:01:48 EST 2002
  Command Line:
        ro root=/dev/sda2
  Location of modprobe:
        /sbin/modprobe
 Modules:
        Name                    Size      Usage
        nfs                    83808   1 (autoclean)
        lockd                  54048   1 (autoclean) [nfs]
        sunrpc                 70032   1 (autoclean) [nfs lockd]
        nls_iso8859-1           2816   0 (autoclean)
        sr_mod                 15512   0 (autoclean)
        cdrom                  28768   0 (autoclean) [sr_mod]
        abi-ibcs                6176   0 (unused)
        abi-svr4               81840   0 [abi-ibcs]
        abi-machdep             4180   0 [abi-ibcs abi-svr4]
        dgrp                   68884   1
        autofs                 12100   0 (autoclean) (unused)
        cipcb                  32768   6 (autoclean)
        eepro100               18128   1
        st                     27092   0
        usb-uhci               23044   0 (unused)
        usbcore                54656   1 [usb-uhci]
        ext3                   65728   2
        jbd                    44580   2 [ext3]
        aic7xxx               114784   3
        sd_mod                 11900   3
        scsi_mod              101592   4 [sr_mod st aic7xxx sd_mod]

File System Information:
  Disk Usage:
        Total IO:        5686841
      Read IO:         4453095
        Write IO:        113601752
        Read Blocks:     1233746
        Write Blocks:    28120796
  Page File Usage:
        Pages In:        56802862
        Pages Out:       14063395
  Swap Page Usage:
        Swap Pages In:         1
        Swap Pages Out:        0
  Supported Filesystems:
        rootfs      (nodev)
        proc        (nodev)
        sockfs      (nodev)
        tmpfs       (nodev)
        shm         (nodev)
        pipefs      (nodev)
        ext2
        iso9660
       devpts      (nodev)
        pcihpfs     (nodev)
        ext3
        usbdevfs    (nodev)
        autofs      (nodev)
        nfs         (nodev)
  Disk Partitions:
          Maj   Min    Bytes  Name
           8     0    8925000 sda 4452888 9798598 113601752 6704134 1220377 
2282033 28
120796 20712531 4 11208750 6112374
           8     1      48163 sda1 1991 66638 137258 92500 434 472 1812 106230 
0 13412
0 198730
           8     2    8329702 sda2 4450893 9731960 113464474 6615904 1219943 
2281561 2
8118984 20607351 -1 17720916 12060257
           8     3     546210 sda3 3 0 18 120 0 0 0 0 0 120 120
  Mounted Filesystems:
        Device              Mountpoint          Filesystem     Modes
        /dev/root           /                   ext3           rw
        /proc               /proc               proc           rw
        usbdevfs            /proc/bus/usb       usbdevfs       rw
        /dev/sda1           /boot               ext3           rw
        none                /dev/pts            devpts         rw
        none                /dev/shm            tmpfs          rw
Swap Filesystems:
        Device              Size      Used
        /dev/sda3           546200    4
Comment 1 Yap KH 2004-05-19 06:28:38 EDT
I have experienced the reversed effect, in that system time almost 
slow down to half.

Comment 2 Yap KH 2004-05-19 06:33:52 EDT
In the above case Fedora 2 was ran in vmware.com's virtual machine 
version 4.5, with 96MB of memory, Pentium 4 2.4GHz, virtual harddisk 
6GB emulated on virtual BusLogic SCSI.

The bug on hardware clock was observed by using webmin v 1.140 at the 
hardware -> system time page. In about 10 mins after I sync both 
hardware and system time against NTP server, the skew of system time 
is observed that it is lagging behind by few mins.

Comment 3 Bugzilla owner 2004-09-30 11:39:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.